import { all, fork } from 'redux-saga/effects';
import loginSaga from 'containers/public/Login/loginSaga';
import registrationSaga from 'containers/public/Registration/registrationSaga';
import logoutSaga from './logoutSaga';
import fetchDataSaga from './fetchDataSaga';
import errorHandler from "./errorHanlder";

import userManagementCreateSaga from "containers/private/UserManagement/Create/saga"
import systemPreferencesCreateSaga from "containers/private/SystemPreferences/Create/saga"
import BranchCreateSaga from 'containers/private/StationLocator/Branches/Create/saga'
import NotificationCreateSaga from 'containers/private/Notifications/Create/saga'
import FuelCreateSaga from 'containers/private/StationLocator/Fuels/Create/saga'
import stationCreateSaga from 'containers/private/StationLocator/Location/Create/saga'
import stationUpdateSaga from 'containers/private/StationLocator/Location/Edit/saga';

export default function* rootSaga() {
  yield all([
    fork(loginSaga),
    fork(logoutSaga),
    fork(registrationSaga),
    fork(errorHandler),
    fork(userManagementCreateSaga),
    fork(systemPreferencesCreateSaga),
    fork(BranchCreateSaga),
    fork(NotificationCreateSaga),
    fork(FuelCreateSaga),
    fork(stationCreateSaga),
    fork(fetchDataSaga),
    fork(stationUpdateSaga)
  ]);
}
